<?php
	session_start();


	include("config.php");

	if(isset($_SESSION["ses_id_tpk"])){
      $id=$_SESSION["ses_id_tpk"];
    }else{
      $id=mysqli_real_escape_string($mysqli,$_POST["txtId0"]);
    }

	
	$username=mysqli_real_escape_string($mysqli,$_POST["txtId"]);
	$nama_lengkap=mysqli_real_escape_string($mysqli,$_POST["txtNama"]);
	$sandi1=mysqli_real_escape_string($mysqli,$_POST["txtSandi1"]);
	$sandi2=mysqli_real_escape_string($mysqli,$_POST["txtSandi2"]);
	$level=mysqli_real_escape_string($mysqli,$_POST["txtLevel"]);
	$id_desa=mysqli_real_escape_string($mysqli,$_POST["txtDesa"]);
	if($sandi1!="" && $sandi2 !=""){
		if($sandi1 != $sandi2){
			msgbox("Kedua sandi tidak sama!");
			echo "<script language='javascript'>history.back();</script>";
			die();
		}
	}

	if($sandi1!="" && $sandi2 !=""){
		if(isset($_SESSION["ses_id_tpk"])){
			$sql="UPDATE m_user SET username='$username', sandi=PASSWORD('$sandi2'),nama_lengkap='$nama_lengkap' WHERE id='$id'";
		}else{
			$sql="UPDATE m_user SET username='$username', sandi=PASSWORD('$sandi2'),nama_lengkap='$nama_lengkap', level='$level', id_desa='$id_desa' WHERE id='$id'";
		}
	}else{
		if(isset($_SESSION["ses_id_tpk"])){
			$sql="UPDATE m_user SET username='$username',  nama_lengkap='$nama_lengkap' WHERE id='$id'";
		}else{
			$sql="UPDATE m_user SET username='$username',  nama_lengkap='$nama_lengkap', level='$level', id_desa='$id_desa' WHERE id='$id'";
		}
	}
	$qry=mysqli_query($mysqli,$sql);
	
	if($qry){
	
		msgbox("Data pengguna berhasil diubah");
		lempar("admin.php?page=ls_user&page_desc=Daftar Pengguna");
	}else{
		
		msgbox("Error: ".mysqli_error($mysqli));
		lempar("admin.php?page=ls_user&page_desc=Daftar Pengguna");
	}
	
	
	
?>